Company logoTrust Center Documentation
API v1 ReferenceCustom tabs

Create a custom tab

Create a custom Trust Center tab and the navigation row that points at it. When no order is given the tab is appended to the end of the navigation. Listing…

POST
/api/v1/custom-tabs

Create a custom Trust Center tab and the navigation row that points at it. When no order is given the tab is appended to the end of the navigation. Listing tabs is the same operation as GET /api/v1/tabs.

Translations cannot be supplied here; create the tab first, then edit each locale through the tab detail endpoint.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/custom-tabs" \  -H "Content-Type: application/json" \  -d '{    "slug": "vendor-assurance",    "title": "Vendor Assurance"  }'
{  "customTab": {    "id": "string",    "tenant": "string",    "slug": "string",    "title": "string",    "order": 0,    "enabled": true,    "access_level": "public",    "content": {      "layers": [        {}      ],      "variables": [        {}      ]    },    "content_schema_version": "string",    "date_created": "2019-08-24T14:15:22Z",    "date_updated": "2019-08-24T14:15:22Z",    "translations": [      {        "id": "string",        "languages_code": "string",        "title": "string"      }    ]  }}

How is this guide?